
From: Andrew Morton <akpm@osdl.org>

Older gcc's dont support anonymous unions, so this driver gets hundreds of
error.

Fortunately the fix is easy...

Cc: James Bottomley <James.Bottomley@steeleye.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/scsi/qla2xxx/qla_def.h |    4 +---
 1 files changed, 1 insertion(+), 3 deletions(-)

diff -puN drivers/scsi/qla2xxx/qla_def.h~qla-remove-anonymous-union drivers/scsi/qla2xxx/qla_def.h
--- devel/drivers/scsi/qla2xxx/qla_def.h~qla-remove-anonymous-union	2005-07-14 18:42:16.000000000 -0700
+++ devel-akpm/drivers/scsi/qla2xxx/qla_def.h	2005-07-14 18:42:16.000000000 -0700
@@ -451,11 +451,9 @@ struct device_reg_2xxx {
 	} u_end;
 };
 
-typedef struct {
-	union {
+typedef union {
 		struct device_reg_2xxx isp;
 		struct device_reg_24xx isp24;
-	};
 } device_reg_t;
 
 #define ISP_REQ_Q_IN(ha, reg) \
_
